Iwe aṣẹ API

Iwe aṣẹ API fun awọn iwe ayewo ile-ibẹrẹ WHOIS ati RDAP ti eto.

Iwe ayewo Ile-ibẹrẹ

URL Ibẹrẹ

GET https://whois.litelake.com/api/whois?domain={domain}

Awọn paramita

ParamitaIruO niloApejuwe
domainstringBẹẹniOrúkọ ile-ibẹrẹ lati ṣe iwe ayewo (fun apẹẹrẹ, example.com)
force_refreshbooleanRaraFi idi mulika fun isọdipọ data ti a fi pamọ

Apẹẹrẹ Idahun

{
  "code": 200,
  "message": "Query successful",
  "data": {
    "domain": "example.com",
    "tld": "com",
    "registrar": "Example Registrar, Inc.",
    "registry_domain_id": "123456789_DOMAIN_COM-VRSN",
    "created_date": "1995-08-14T04:00:00Z",
    "updated_date": "2023-08-14T04:00:00Z",
    "expiry_date": "2024-08-13T04:00:00Z",
    "status": ["clientTransferProhibited"],
    "name_servers": ["ns1.example.com", "ns2.example.com"],
    "query_count": 150,
    "last_queried_at": "2024-03-05T12:34:56Z"
  }
}

Idahun Aṣiṣe

400 Ibẹrẹ Buburu

{
  "code": 400,
  "message": "Missing domain parameter"
}

404 Ko Ri

{
  "code": 404,
  "message": "Domain not found"
}

429 Ọpọlọpọ Awọn ibẹrẹ ju

{
  "code": 429,
  "message": "Rate limit exceeded, please try again later"
}

500 Aṣiṣe Inu Aarin Aakolo

{
  "code": 500,
  "message": "Query failed, please try again later"
}